--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Sets the value of this object's Message-Id: field to a new random value."
- !ruby/struct:SM::Flow::P 
  body: "If you don't supply a <tt>fqdn</tt> (fully qualified domain name) then one will be randomly generated for you. If a valid address exists in the From: field, its domain will be used as a basis."
- !ruby/struct:SM::Flow::P 
  body: Part of the randomness in the header is taken from the header itself, so it is best to call this method after adding other fields to the header -- especially those that make it unique (Subject:, To:, Cc:, etc).
full_name: RMail::Header#add_message_id
is_singleton: false
name: add_message_id
params: (fqdn = nil)
visibility: public
